program exa_instruction
    use dislin
    implicit none
 
    character (len=8)   :: cdev
    character (len=40)  :: ctit
    character (len=100) :: ct0,ct1,ct2,ct3
    integer :: nl,ny

    ctit ="Instruction Alphabet"
    ct1 = &
    "{m2}c{m4}(x) = {m3p}v{m4}e{e}-t{r}t{e}x-1{r}dt{gdh0.4f-1}0{u1.4m3f3}l"
    ct2 = "lim{gdhc}x{m3cd1.1}a{c}l{rm}" // &
         " (1 + {puh} 1 {rvgd0.5h} x {r}){u1.2h}x{r} = e"
    ct0 = "character{h0.5} height{rz-30}" // &
         "  incli{z30}nation {zw0.5}  ratio {wk} fixed width"
    ct3 = "underscoring{l}    {p}twice{j}    vectors {pa8v}"

    ny=1100

    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
    call metafl(cdev)

    call setpag("da4l")
    call disini()
    call pagera()
    call complx()
    call color("cyan")
 
    call height(50)
    nl=nlmess(ctit)
    call messag(ctit,(2970-nl)/2,250)
 
    call height(36)
    call messag("1.)",300,450)
    call messag(ct0,500,450)
 
    call height(50)
    call smxalf("inst","{","}",1)
    call messag(ct0,500,550)
 
    call reset("smxa")
    call height(36)
    call messag("2.)",300,750)
    call messag(ct3,500,750)
 
    call height(50)
    call smxalf("inst","{","}",1)
    call messag(ct3,500,850)
 
    call reset("smxalf")
    call height(36)
    call messag("3.)",300,ny)
    call messag(ct1,500,ny)
 
    call smxalf("inst","{","}",1)
    call height(80)
    call messag(ct1,900,ny+150)
 
    call height(36)
    call reset("smxa")
    call messag("4.)",300,ny+450)
    call messag(ct2,500,ny+450)
 
    call height(80)
    call smxalf("inst","{","}",1)
    call messag(ct2,900,ny+600)
    call disfin()
end program exa_instruction 
