program exa_pies
    use dislin
    implicit none
    character (len=60) :: ctit
    character (len=36) :: cbuf
    character (len=2)  :: cstr
    character (len=8)  :: cdev
    real, dimension (18), parameter :: xray = 1.0
    integer :: i

    ctit = "Shading Patterns (PIEGRF)"

    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
    call metafl(cdev)
 
    call setpag("da4p")
    call disini()
    call pagera()
    call complx()
 
    call axspos(250,2700)
    call axslen(1600,2200)
    call titlin(ctit,3)
    call height(50)
 
    call legini(cbuf,18,2)
 
    do i=1,18
      write(unit=cstr,fmt="(i2)") i-1
      call leglin(cbuf,cstr,i)
    end do
 
    call chnpie("both")
    call labels("none","pie")
    call piegrf(cbuf,1,xray,18)
    call title()
 
    call disfin()
end program exa_pies
