program exa_pies
    use dislin
    implicit none
    real, dimension (5), parameter :: xray = (/1.0,2.5,2.0,2.7,1.8/)
    character (len=8) :: cdev
    character (len=60), parameter :: ctit = "Pie Charts (PIEGRF)"
    character (len=40) :: cbuf
    integer :: i,nya

    nya=2800

    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
    call metafl(cdev)

    call setpag("da4p")
    call disini()
    call pagera()
    call complx()
    call axslen(1600,1000)
    call titlin(ctit,2)
    call chnpie("both")
 
    call legini(cbuf,5,8)
    call leglin(cbuf,"First",1)
    call leglin(cbuf,"Second",2)
    call leglin(cbuf,"Third",3)
    call leglin(cbuf,"Fourth",4)
    call leglin(cbuf,"Fifth",5)
 
    call patcyc(1,7)
    call patcyc(2,4)
    call patcyc(3,13)
    call patcyc(4,3)
    call patcyc(5,5)
 
    do i=1,2
      call axspos(250,nya-(i-1)*1200)
      if(i == 2) then
        call labels("data","pie")
        call labpos("external","pie")
      end if
 
      call piegrf(cbuf,1,xray,5)
 
      if(i == 2) then
        call height(50)
        call title()
      end if
      call endgrf()
    end do
    call disfin()
end program exa_pies
