program exa_shadeworld
    use dislin
    implicit none
 
    integer, parameter :: n=7
    character (len=8) :: cdev
    character (len=4), dimension (n), parameter :: clr = (/ &
      "whit","red ","gree","oran","yell","cyan","blue"/), &
       cont = (/"anta","afri","eura","nort","sout","aust","lake"/)
    integer :: i

    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
    call metafl(cdev)

    call disini()
    call complx()
    call setvlt("small")
    call pagera()
 
    call projct("hammer")
    call noclip()
    call grafmp(-180.0,180.0,-180.0,30.0,-90.0,90.0,-90.0,30.0)
 
    call shdpat(16)
    do i=1,n
      call color(clr(i))
      call shdmap(cont(i))
    end do
 
    call color("fore")
    call gridmp(1,1)
 
    call disfin()
end program exa_shadeworld
