program exa_vectors
    use dislin
    implicit none
    character (len=60) :: ctit
    character (len=4)  :: cnum
    character (len=8)  :: cdev
    integer, dimension (20), parameter :: &
      ivec = (/0,1111,1311,1421,1531,1701,1911,3111,3311,3421, &
               3531,3703,4221,4302,4413,4522,4701,5312,5502,5703/)
    integer :: nl,nx,ny,i

    ctit = "Vectors"

    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
    call metafl(cdev)
 
    call disini()
    call color("cyan")
    call pagera()
    call complx()
 
    call height(60)
    nl=nlmess(ctit)
    nx=(2970-nl)/2
    call messag(ctit,nx,200)
 
    call height(50)
    nx=300
    ny=400
 
    do i=1,20
      if(i == 11) then
        nx=nx+2970/2
        ny=400
      end if
 
      write(unit=cnum,fmt="(i4)") ivec(i)
      nl=nlmess(cnum)
      call messag(cnum,nx-nl,ny-25 )
 
      call vector(nx+100,ny,nx+1000,ny,ivec(i))
      ny=ny+160
    end do
 
    call disfin()
end program exa_vectors
