program exa_world
    use dislin
    implicit none
    character (len=8) :: cdev
    
    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
    call metafl(cdev)

    call disini()
    call pagera()
    call complx()
 
    call frame(3)
    call axspos(400,1850)
    call axslen(2400,1400)
 
    call name("Longitude","x")
    call name("Latitude","y")
    call titlin("World Coastlines and Lakes",3)
 
    call labels("map","xy")
    call grafmp(-180.0,180.0,-180.0,90.0,-90.0,90.0,-90.0,30.0)
 
    call gridmp(1,1)
    call color("green")
    call world()
    call color("white")
 
    call height(50)
    call title()
    call disfin()
end program exa_world
