program exa_symbols
    use dislin
    implicit none
    character (len=20) :: ctit
    character (len=2)  :: cstr
    character (len=8)  :: cdev
    integer :: i,ny,nxp,nl

    ctit = "Symbols"
 
    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
    call metafl(cdev)

    call setpag("da4p")
    call disini()
    call pagera()
    call color("yellow")
    call complx()
    call paghdr("H. Michels  (",")",2,0)
 
    call height(60)
 
    nl=nlmess(ctit)
    call messag(ctit,(2100-nl)/2,200)
 
    call height(50)
    call hsymbl(120)
 
    ny=150
 
    do i=0,21
      if((i/4)*4 == i) then
        ny=ny+400
        nxp=550
      else
        nxp=nxp+350
      end if
 
      if(i < 10) then
        write(unit=cstr,fmt="(i1)") i
      else
        write(unit=cstr,fmt="(i2)") i
      end if
 
      nl=nlmess(cstr)/2
      call messag(cstr,nxp-nl,ny+150)
      call symbol(i,nxp,ny)
    end do
 
    call disfin()
end program exa_symbols
