program exa_vlt
    use dislin
    implicit none
    character (len=8) :: cvlt,cdev
    integer, parameter :: nb=100,nh=80
    integer :: i,j,nx,ny,nl,ncol
    real    :: xcol

    write (unit=6,fmt="(a)",advance="no") "Device (XWIN, CONS, GKSL, PSCL): "
    read (unit=5,fmt="(a)") cdev
 
    write(unit=6,fmt="(a)",advance="no") &
     " Give colour table (small, rain, spec, grey, rrain, rspec, rgrey): "
    read(unit=5,fmt="(a)") cvlt

    call metafl(cdev)
    call disini()
    call pagera()
    call setvlt(cvlt)
 
    ncol=0
    call height(30)
    do i=1,13
      ny=i*150
      nx=-50
      do j=1,20
        nx=nx+145
        if(ncol <= 255) then
          call point(nx,ny,nb,nh,ncol)
          xcol=ncol
          nl=nlnumb(xcol,-1)
          call setclr(255)
          call number(xcol,-1,nx-nl/2,ny+50)
          ncol=ncol+1
        end if
      end do
    end do
    call disfin()
end program exa_vlt
